summaryrefslogtreecommitdiffstats
path: root/games/mupen64plus-libretro/mupen64plus-libretro.SlackBuild
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2017-12-20 21:44:16 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-12-21 08:19:29 +0700
commited660d71681c05fbfc44c009ed90bf2b0cba2716 (patch)
treea8a4cf681597df0a456f9c441dd06477a7599086 /games/mupen64plus-libretro/mupen64plus-libretro.SlackBuild
parente31ec32fd8d721f56195349c5dcf8efd2f754176 (diff)
downloadslackbuilds-ed660d71681c05fbfc44c009ed90bf2b0cba2716.tar.gz
slackbuilds-ed660d71681c05fbfc44c009ed90bf2b0cba2716.tar.xz
games/mupen64plus-libretro: Updated for version 2017.11.19_6f80cbc.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/mupen64plus-libretro/mupen64plus-libretro.SlackBuild')
-rw-r--r--games/mupen64plus-libretro/mupen64plus-libretro.SlackBuild22
1 files changed, 11 insertions, 11 deletions
diff --git a/games/mupen64plus-libretro/mupen64plus-libretro.SlackBuild b/games/mupen64plus-libretro/mupen64plus-libretro.SlackBuild
index 86554b33f5..f98f6e6073 100644
--- a/games/mupen64plus-libretro/mupen64plus-libretro.SlackBuild
+++ b/games/mupen64plus-libretro/mupen64plus-libretro.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=mupen64plus-libretro
LIBNAM=$(printf %s "$PRGNAM" | tr - _)
-VERSION=${VERSION:-2017.07.22_9b01671}
+VERSION=${VERSION:-2017.11.19_6f80cbc}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -57,11 +57,7 @@ else
LIBDIRSUFFIX=""
fi
-DEBUG=${DEBUG:-0}
-GLES=${GLES:-0}
-GLES3=${GLES3:-0}
-
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -76,15 +72,19 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-make DEBUG="$DEBUG" \
- GIT_VERSION="${VERSION#*_}" \
- FORCE_GLES="$GLES" \
- FORCE_GLES3="$GLES3"
+[ "${DEBUG:=0}" != 0 ] && DEBUG=1
+[ "${GLES:=0}" != 0 ] && GLES=1
+[ "${GLES3:=0}" != 0 ] && GLES3=1
+
+make DEBUG=$DEBUG \
+ FORCE_GLES=$GLES \
+ FORCE_GLES3=$GLES3 \
+ GIT_VERSION="${VERSION#*_}"
install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
-if [ "$DEBUG" = 0 ]; then
+if [ $DEBUG = 0 ]; then
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
fi